## org.Biocorba.Seqcore
Class SeqType

    java.lang.Object
      |
      +--org.Biocorba.Seqcore.SeqType

public final class SeqType
extends java.lang.Object
implements org.omg.CORBA.portable.IDLEntity

See Also:
  Serialized Form

Field Summary
`static int` `_DNA`
`static int` `_PROTEIN`
`static int` `_RNA`
`static SeqType` `DNA`
`static SeqType` `PROTEIN`
`static SeqType` `RNA`

Method Summary
`static SeqType` `from_int(int i)`
`int` `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _PROTEIN

    public static final int _PROTEIN

### _DNA

    public static final int _DNA

### _RNA

    public static final int _RNA

### PROTEIN

    public static final SeqType PROTEIN

### DNA

    public static final SeqType DNA

### RNA

    public static final SeqType RNA

Method Detail

### value

    public int value()

### from_int

    public static final SeqType from_int(int i)
                                  throws org.omg.CORBA.BAD_PARAM